### Function

# EBookContacts ContactDate from_string

#### Declaration [src]

    EContactDate*
    e_contact_date_from_string (
      const gchar* str
    )

#### Description [src]

Creates a new `EContactDate` based on `str`.

#### Parameters

`str`

  Type: `const gchar*`

  A date string in the format YYYY-MM-DD or YYYYMMDD.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EContactDate`

A new `EContactDate` struct.

The caller of the function takes ownership of the data, and is responsible for freeing it.